#ifndef DEF_NUMUTIL_H
#define DEF_NUMUTIL_H


/** 
 *   \file numUtil.h
 *   \author Lukas Habegger (lukas.habegger@yale.edu)
 */

#include <math.h>

/** 
 * Return log base two of number x. 
 */
#define logBase2(x)(log(x)/log(2))

/** 
 *  Round floating point value to nearest integer.
 */
#define round(a) ((int)((a)+0.5))

/** 
 * Round floating point value to nearest long long. 
 */
#define roundll(a) ((long long)((a)+0.5))

int roundingScale(int a, int p, int q);
int rangeIntersection(int start1, int end1, int start2, int end2);
int positiveRangeIntersection(int start1, int end1, int start2, int end2);
unsigned byteSwap32(unsigned a);
int digitsBaseTwo(unsigned long x);
int digitsBaseTen(int x);


#endif
